主题
AI 数据:热门问题(实时)
接口说明
/v3/ai_optimization/ai_keyword_data/popular_questions/live 用于获取与指定的「热门问题」。这些问题代表用户在 AI 场景下可能提出的常见问法。
返回结果中,除问题文本外,还会提供:
- 该问题最近一个月的 AI 搜索热度:
ai_search_volume - 过去 12 个月的 AI 搜索趋势:
ai_monthly_searches
该数据基于搜索结果中「People Also Ask(人还问)」的统计结果生成。
请求方式: POST接口地址: https://api.seermartech.cn/v3/ai_optimization/ai_keyword_data/popular_questions/live
计费与调用限制
本接口按请求计费。扣费以响应头 X-SeerMarTech-Charge-CNY 为准。
调用限制:
- 每分钟最多
2000次 API 调用 - 最大并发请求数为
30
请求体格式
所有 POST 数据使用 JSON(UTF-8 编码),请求体为 JSON 数组:
json
[
{
"keyword": "iphone",
"location_code": 2840,
"language_name": "English",
"offset": 0,
"limit": 10
}
]请求参数
| 字段名 | 类型 | 说明 |
|---|---|---|
keyword | string | 填。目标。最多支持 700 个字符。字段中的 %## 会被解码,+ 会被解码为空格。如果中需要保留 %,请写为 %25;如果需要保留 +,请写为 %2B。 |
location_name | string | 地区名。若未传 location_code,则该字段填。location_name 与 location_code 二选一填。可通过 /v3/ai_optimization/ai_keyword_data/locations_and_languages 获取可用地区列表。示例:United Kingdom |
location_code | integer | 地区唯一编码。若未传 location_name,则该字段填。location_name 与 location_code 二选一填。可通过 /v3/ai_optimization/ai_keyword_data/locations_and_languages 获取可用地区列表。示例:2840 |
language_name | string | 语言名。若未传 language_code,则该字段填。传该字段时可不传 language_code。可通过 /v3/ai_optimization/ai_keyword_data/locations_and_languages 获取可用语言列表。示例:English |
language_code | string | 语言代码。若未传 language_name,则该字段填。传该字段时可不传 language_name。可通过 /v3/ai_optimization/ai_keyword_data/locations_and_languages 获取可用语言列表。示例:en |
limit | integer | 可选。返回的热门问题最大数量。 |
offset | integer | 可选。结果偏移量,默认值为 0。例如设置为 10 时,会跳过前 10 条结果,返回后续数据。建议在获取不 10,000 条结果时使用。 |
filters | array | 可选。结果过滤条件数组,最多支持 8 个过滤条件。多个条件之间需使用逻辑运算符 and 或 or。支持的操作符:regex、not_regex、<、<=、>、>=、=、<>、in、not_in、match、not_match、like、not_like。 like 和 not_like 支持 % 通任意长度字符串。注意:不支持按 relevance 过滤。 可通过 /v3/ai_optimization/ai_keyword_data/available_filters 获取可用过滤字段。 |
order_by | array | 可选。结果排序规则。目前支持按 ai_search_volume 排序。排序格式为 字段名,排序方式,排序方式支持:asc(升序)和 desc(降序)。 |
tag | string | 可选。用户自定义任务标识,最大长度 255 个字符。可用于请求结果匹,响应中的 data 对象会原样返回该值。 |
过滤与排序示例
filters 示例
筛选 AI 搜索热度大于 3 的问题:
json
[
["ai_search_volume", ">", 3]
]多个条件组合示例:
json
[
["ai_search_volume", ">", 100],
"and",
["question", "like", "%app%"]
]order_by 示例
按 AI 搜索热度降序排列:
json
["ai_search_volume,desc"]返回结果说明
接口返回 JSON 数据,顶层 tasks 数组。
顶层字段
| 字段名 | 类型 | 说明 |
|---|---|---|
version | string | 当前 API 版本。 |
status_code | integer | 通用状态码。完整错误码请参考 /v3/appendix/errors。建议在系统中做好异常处理。 |
status_message | string | 通用状态消息。 |
time | string | 执行耗时,单位秒。 |
cost | float | 本次请求总成本,单位 USD。扣费以该字段为准。 |
tasks_count | integer | tasks 数组中的任务数。 |
tasks_error | integer | 返回错误的任务数。 |
tasks | array | 任务结果数组。 |
tasks 数组字段
| 字段名 | 类型 | 说明 |
|---|---|---|
id | string | 任务唯一标识,UUID 格式。 |
status_code | integer | 任务状态码,范围通常为 10000-60000。 |
status_message | string | 任务状态说明。 |
time | string | 任务执行耗时,单位秒。 |
cost | float | 单个任务成本,单位 USD。 |
result_count | integer | result 数组中的数量。 |
path | array | 请求路径。 |
data | object | 与请求中提交的参数基本一致。 |
result | array | 结果数组。 |
result 数组字段
| 字段名 | 类型 | 说明 |
|---|---|---|
location_code | integer | 请求中的地区编码。 |
language_code | string | 请求中的语言代码。 |
total_count | integer | 与请求的结果总数。 |
offset | integer | 当前结果偏移量。 |
items_count | integer | items 数组中的返回条数。 |
items | array | 热门问题列表。 |
items 数组字段
| 字段名 | 类型 | 说明 |
|---|---|---|
question | string | 与指定的热门问题。 |
ai_search_volume | integer | 该问题当前的 AI 搜索热度。 |
ai_monthly_searches | array | 按月统计的 AI 搜索热度趋势。 |
ai_monthly_searches 字段
| 字段名 | 类型 | 说明 |
|---|---|---|
year | integer | 年份。 |
month | integer | 月份。 |
ai_search_volume | integer | 对应年月的 AI 搜索热度。 |
请求示例
cURL
bash
curl --location --request POST "https://api.seermartech.cn/v3/ai_optimization/ai_keyword_data/popular_questions/live" \
--header "Authorization: Bearer smt_live_YOUR_KEY" \
--header "Content-Type: application/json" \
--data-raw '[
{
"language_name": "English",
"location_code": 2840,
"keyword": "iphone",
"order_by": ["ai_search_volume,desc"],
"filters": [
["ai_search_volume", ">", 3]
],
"offset": 0,
"limit": 10
}
]'Python
python
import requests
url = "https://api.seermartech.cn/v3/ai_optimization/ai_keyword_data/popular_questions/live"
headers = {
"Authorization": "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json"
}
payload = [
{
"language_name": "English",
"location_code": 2840,
"keyword": "iphone",
"order_by": ["ai_search_volume,desc"],
"filters": [
["ai_search_volume", ">", 3]
],
"offset": 0,
"limit": 10
}
]
response = requests.post(url, json=payload, headers=headers)
result = response.json
if result.get("status_code") == 20000:
print(result)
else:
print(f'error. Code: {result.get("status_code")} Message: {result.get("status_message")}')TypeScript
typescript
import axios from "axios";
const postArray = [
{
language_name: "English",
location_code: 2840,
keyword: "iphone",
order_by: ["ai_search_volume,desc"],
filters: [
["ai_search_volume", ">", 3]
],
offset: 0,
limit: 10
}
];
axios({
method: "post",
url: "https://api.seermartech.cn/v3/ai_optimization/ai_keyword_data/popular_questions/live",
headers: {
Authorization: "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json"
},
data: postArray
})
.then((response) => {
console.log(response.data);
})
.catch((error) => {
console.error(error);
});响应示例
json
{
"version": "0.1.20250526",
"status_code": 20000,
"status_message": "Ok.",
"time": "20.9611 sec.",
"cost": 0,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"data": {
"api": "ai_optimization",
"function": "popular_questions",
"language_name": "English",
"location_code": 2840,
"keyword": "iphone",
"order_by": ["ai_search_volume,desc"],
"filters": [
["ai_search_volume", ">", 3]
],
"offset": 0,
"limit": 10
},
"result": [
{
"location_code": 2840,
"language_code": "en",
"total_count": 2,
"offset": 0,
"items_count": 2,
"items": [
{
"question": "what is the best iphone for photography?",
"ai_search_volume": 1200,
"ai_monthly_searches": [
{
"year": 2025,
"month": 4,
"ai_search_volume": 1180
},
{
"year": 2025,
"month": 5,
"ai_search_volume": 1200
}
]
},
{
"question": "does o'reilly auto parts have an app for iphone?",
"ai_search_volume": 910,
"ai_monthly_searches": [
{
"year": 2025,
"month": 4,
"ai_search_volume": 870
},
{
"year": 2025,
"month": 5,
"ai_search_volume": 910
}
]
}
]
}
]
}
]
}状态码与错误处理
- 顶层
status_code表示整次请求的执行状态 tasks[].status_code表示单个任务的执行状态- 完整错误码与状态说明请参考
/v3/appendix/errors
建议至少处理以下场景:
- 请求参数缺失或格式错误
- 地区或语言参数无效
- 过滤条件不合法
- 调用频率限
- 并发数限
- 平台处理时或临时失败
使用建议
- 若需热门问题列表,建议合
limit控制单次返回量,减少响应体积。 - 若需批量翻页抓取,优使用
offset,但建议总结果量控制在10,000。 - 若需要优查看高热度问题,可设置
order_by: ["ai_search_volume,desc"]。 - 若只心某些问题类型,可通过
filters过滤特定词语的问题。
实用场景
- 挖掘 AI 问答需求:围绕核心提取用户常问问题,用于规划 FAQ、帮助中心和 AI 生成选题。
- 筛选高热度问题:按
ai_search_volume找出最值得优覆盖的问题,提升生产与投放效率。 - 追踪问题趋势变化:结合
ai_monthly_searches观察近 12 个月热度波动,识别季节性需求与热点上升主题。 - 优化产品落地页:将热门问题直接映射到页面模块、问答区和结构化中,提升页面对真实搜索意图的覆盖能力。
- 发现长尾意图机会:通过问题型查询识别更的使用场景、对比诉求和购买疑问, SEO 长尾词布局与分发。